# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('bgpdata', '0002_confighost_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='CrawlLog',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('logtime', models.DateTimeField(auto_now_add=True)),
                ('severity', models.CharField(max_length=10, choices=[(b'INFO', b'info'), (b'ERROR', b'error'), (b'DEBUG', b'debug'), (b'WARN', b'warning')])),
                ('message', models.TextField()),
                ('crawl', models.ForeignKey(to='bgpdata.CrawlRun')),
                ('host', models.ForeignKey(to='bgpdata.ConfigHost')),
            ],
            options={
            },
            bases=(models.Model,),
        ),
    ]
