# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('bgpdata', '0006_auto_20150321_1845'),
    ]

    operations = [
        migrations.CreateModel(
            name='BorderRouterPair',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('router1', models.ForeignKey(related_name='routerpair1', default=None, blank=True, to='bgpdata.BorderRouter', null=True)),
                ('router2', models.ForeignKey(related_name='routerpair2', default=None, blank=True, to='bgpdata.BorderRouter', null=True)),
            ],
            options={
            },
            bases=(models.Model,),
        ),
        migrations.RemoveField(
            model_name='peering',
            name='router1',
        ),
        migrations.RemoveField(
            model_name='peering',
            name='router2',
        ),
        migrations.AddField(
            model_name='announcement',
            name='router',
            field=models.ForeignKey(default=None, to='bgpdata.BorderRouter'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='peering',
            name='routers',
            field=models.ManyToManyField(default=None, to='bgpdata.BorderRouterPair', null=True, blank=True),
            preserve_default=True,
        ),
    ]
