from django.conf.urls import patterns, url, include
#from django.views.generic import RedirectView
from api import ASResource, CrawlResource, BorderRouterResource, AnnouncementResource

asResource = ASResource()
crawlResource = CrawlResource()
borderRouterResource = BorderRouterResource()
announcementResource = AnnouncementResource()

urlpatterns = patterns('',
	url(r'^$', 'bgpdata.views.overview'),
	url(r'^([0-9]+)/$', 'bgpdata.views.showMap'),

	#url(r'^api/crawl/(?P<crawlID>\d+)/asses/$', 'bgpdata.api.asses'),
	#(r'^api/', include(asResource.urls)),
	(r'^api/', include(asResource.urls)),
	(r'^api/', include(crawlResource.urls)),
	(r'^api/', include(borderRouterResource.urls)),
	(r'^api/', include(announcementResource.urls)),
)

